Bug 8731 - up2date broken on 6.2beta2/x86
up2date broken on 6.2beta2/x86
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-21 18:05 EST by Bill Bradford
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-28 11:32:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Bradford 2000-01-21 18:05:24 EST
[mrbill@area51 mrbill]$ up2date

(here it asked me for root's pw in a pop-up window)

Traceback (innermost last):
  File "/usr/sbin/up2date", line 118, in ?
    from gui import Gui
  File "/usr/share/up2date/gui.py", line 10, in ?
    from client import Client
  File "/usr/share/up2date/client.py", line 12, in ?
    from rpmdb import *
  File "/usr/share/up2date/rpmdb.py", line 19, in ?
    from package import *
  File "/usr/share/up2date/package.py", line 24, in ?
    import rpm
ImportError: No module named rpm

And, if I try to run it as root, same thing:

[root@area51 /root]# export DISPLAY=localhost:0
[root@area51 /root]# up2date
Traceback (innermost last):
  File "/usr/sbin/up2date", line 118, in ?
    from gui import Gui
  File "/usr/share/up2date/gui.py", line 10, in ?
    from client import Client
  File "/usr/share/up2date/client.py", line 12, in ?
    from rpmdb import *
  File "/usr/share/up2date/rpmdb.py", line 19, in ?
    from package import *
  File "/usr/share/up2date/package.py", line 24, in ?
    import rpm
ImportError: No module named rpm
Comment 1 Preston Brown 2000-02-28 11:32:59 EST
you need to install the rpm-python module.

Note You need to log in before you can comment on or make changes to this bug.